Bug 135204 - mistake in speed detection of DELL's D800 Dothan processor
mistake in speed detection of DELL's D800 Dothan processor
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Depends On:
  Show dependency treegraph
Reported: 2004-10-10 05:29 EDT by MENGIS Michel
Modified: 2015-01-04 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-10-15 02:36:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description MENGIS Michel 2004-10-10 05:29:45 EDT
Description of problem:
DELL's D800 BIOS A11. 
Processor speed detected at boot time: 600Mhz. 
-> platform_limit set to 600Mhz
Processor max speed detected by ACPI: 1.7Ghz
SpeedStep unable to change the processor speed to the high speed
detected by ACPI coz of platform limitation.
But Level2 cache detection works with these patches.

Version-Release number of selected component (if applicable):
Kernel-2.6.8-1.521 + dothan patches
dothan patches:
2. cpufreq-speedstep-dothan-3.patch
3. dothan-speedstep-fix.patch

How reproducible:
just add these 3 patches to 2.6.8-1.521 kernel src and rebuild the
kernel. Boot on the new one.

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Warren Togami 2004-10-10 05:42:42 EDT
Please verify that speedstep is working as expected with the latest
FC3 development kernel.  If it is not, then push these patches to
upstream kernel.org, because we are unlikely to patch it ourselves.
Comment 2 MENGIS Michel 2004-10-10 07:16:02 EDT
Checked with kernel-2.6.8-1.603:
CPU speed detection : 600Mhz.
same trouble.

Level2 cache well detected.
Comment 3 Warren Togami 2004-10-10 18:12:13 EDT
My Thinkpad T41 BIOS must be set to "Userspace" power management
rather than "Max Battery" or "Performance" in order for cpufreq to be
able to change the frequency.  Does your BIOS have any such option?
Comment 4 MENGIS Michel 2004-10-11 02:15:11 EDT
Yes it's in "Userspace" power management configuration..
Comment 5 MENGIS Michel 2004-10-15 02:36:04 EDT
Was a Hardware bug... sorry.

Note You need to log in before you can comment on or make changes to this bug.